Bug 852804 - Content search does not show results due to a JS error
Content search does not show results due to a JS error
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent (vote)
: Unspecified
: --
Assigned To: Martin Bacovsky
Hayk Hovsepyan
: Triaged
: 852884 (view as bug list)
Depends On:
Blocks: 842252
  Show dependency treegraph
 
Reported: 2012-08-29 11:58 EDT by Martin Bacovsky
Modified: 2013-03-27 16:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The trunk8.js jQuery plugin was missing which led to an error causing search results not to display. This fix adds the missing jQuery plugin and search results now display without any error message.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:52:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Bacovsky 2012-08-29 11:58:59 EDT
Description of problem:
Content search does not show results due to following JS error:

TypeError: $(".three-line-ellipsis").trunk8 is not a function

Version-Release number of selected component (if applicable):
katello-1.1.7-1.git.31.8662665.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Add some content
2. Go to Content > Content Search
3. Search any of type of content
4. Watch messages in e.g. Firebug's console
  
Actual results:
The spinner spins endlessly and in the console there is error
TypeError: $(".three-line-ellipsis").trunk8 is not a function

Expected results:
See expected search results and no error
Comment 1 Garik Khachikyan 2012-08-30 08:04:34 EDT
really urgent issue that needs a fix ASAP to make available later check of functionality of the Content Search. Bring the bug to CFSE
Comment 2 Garik Khachikyan 2012-08-30 08:05:48 EDT
adjusting contacts (dev, qe)
Comment 3 Og Maciel 2012-08-30 09:27:44 EDT
*** Bug 852884 has been marked as a duplicate of this bug. ***
Comment 4 Eric Helms 2012-08-30 09:45:35 EDT
Note regarding the error message:

Analysis indicates that the trunk8 jQuery plugin was not present within the Jammit created content_search.js file in production.  Possible there was a missed error in Jammit compilation which could be a one off but verification and tackling of this bug should start there.
Comment 5 Martin Bacovsky 2012-08-31 05:58:31 EDT
The reason was Katello assests have been build from outdated converge-ui-devel-0.8.3 that does not containt trunk8.js. To fix this issue converge-ui 1.0 was released (kudos to Eric) and katello will be rebuild with it, once it hits the repos.
Comment 6 Martin Bacovsky 2012-09-03 08:39:54 EDT
katello-1.1.9-1.git.8.9e318bb.el6 and above are built against converge-ui-devel>=1.0 that fix the problem
Comment 7 Garik Khachikyan 2012-09-03 08:42:06 EDT
qe-acking: we need this!
Comment 9 Hayk Hovsepyan 2012-09-14 09:53:25 EDT
Verified on revision:

katello-1.1.12-5.el6cf
katello-cli-1.1.8-4.el6cf.
Comment 10 Hayk Hovsepyan 2012-09-17 07:38:58 EDT
Verified on revision:

katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
candlepin-selinux-0.7.8-1.el6cf.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
pulp-selinux-server-1.1.12-1.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
candlepin-0.7.8-1.el6cf.noarch
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-configure-1.1.9-3.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
candlepin-tomcat6-0.7.8-1.el6cf.noarch
pulp-common-1.1.12-1.el6cf.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-selinux-1.1.1-1.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
python-qpid-0.14-7.el6_2.noarch
python-isodate-0.4.4-4.pulp.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
pulp-1.1.12-1.el6cf.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64
Comment 12 errata-xmlrpc 2012-12-04 14:52:08 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.